Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28 signals an error

From: Michael Albinus <[email-masked]>
Date: Mon, 18 Apr 2022 10:40:04 +0200

Eli Zaretskii <[email-masked]> writes:

>> > No, I get Fundamental mode -- which means no highlighting of headings,
>> > not auto-filling, not Flyspell, etc. -- all I have in Outline mode is
>> > suddenly gone.
>>
>> What's your suggestion for how this should work, then?  etc/NEWS in
>> auto-mode-alist?
>
> Either that, or private customizations.

FTR, I find the new emacs-news-mode very convenient. Hiding it in
private customizations would remove its convenience.

What about

--8<---------------cut here---------------start------------->8---
Local variables:
coding: utf-8
eval: (or (fboundp 'emacs-news-mode) (defalias 'emacs-news-mode 'outline-mode))
mode: emacs-news
paragraph-separate: "[ 	]*$"
end:
--8<---------------cut here---------------end--------------->8---

It requires you to confirm the eval form, but this is the price when you
edit etc/NEWS from master with an older Emacs version.

Best regards, Michael.